$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-a52a16807f6a3d67c54899039df5ce9b40528fd2/rpcs3-v0.0.12-10882-a52a1680_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'c90e92a0228f3fa357c905e6828dcd2aeb8710684a482ae4a8a3f019c92ec139'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
